Subnets
Get Subnet by ID
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Path Parameters
id*string
Subnet ID
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://loading/api/v1/subnets/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"meta": {
"api_version": 1,
"server_version": "0.14.10"
},
"success": true,
"data": {
"cidr": "192.168.1.0/24",
"created_at": "2026-01-15T10:30:00Z",
"description": "Local area network",
"id": "550e8400-e29b-41d4-a716-446655440004",
"name": "LAN",
"network_id": "550e8400-e29b-41d4-a716-446655440002",
"source": {
"type": "Manual"
},
"subnet_type": "Lan",
"tags": [],
"updated_at": "2026-01-15T10:30:00Z"
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.14.10"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}Export Subnets to CSV
Export all Subnets matching the filter criteria to CSV format. Ignores pagination parameters (limit/offset) and exports all matching records.
List all subnets
Returns all subnets accessible to the authenticated user or daemon. Daemons can only access subnets within their assigned network. Supports pagination via `limit` and `offset` query parameters, and ordering via `group_by`, `order_by`, and `order_direction`.